package com.tzld.piaoquan.longarticle.service.local.impl;

import com.tzld.piaoquan.longarticle.dao.mapper.PublishContentMapper;
import com.tzld.piaoquan.longarticle.model.po.PublishContentExample;
import com.tzld.piaoquan.longarticle.utils.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Arrays;

@Service
public class PublicContentServiceImpl {

    @Autowired
    private PublishContentMapper publishContentMapper;

    public int getSendCount(Long planAccountId) {
        PublishContentExample example = new PublishContentExample();
        example.createCriteria().andStatusIn(Arrays.asList(1, 2))
                .andCreateTimeGreaterThan(DateUtil.getThatDayDate())
                .andPlanAccountIdEqualTo(planAccountId);
        long sendCount = publishContentMapper.countByExample(example);
        return (int) sendCount;
    }
}
